! Solution 6/7
   program main
      integer                 :: i, j, k
      integer, dimension(100) :: reverse
      reverse = (/ (k, k=1, 100) /)
      read *, i, j
      reverse(i:j) = reverse(j:i:-1)
   end program main
